Updated
Jun 30th, 2015
First Posted
Jun 30th, 2015

Upgrade Notes

If You're Current Version is < 5.2

When upgrading to v5.2, you'll need to make some manual changes to your startup files. There's too much variable over time for us to do it automatically. The big change made as that we've moved "services" into their proper place in the rc.d startup sequence. Previously, we started the services in /etc/rc.local mainly because 1) things didn't work well in the old days of FreeBSD and 2) it was easier for customers to manage everything in 1 file. It was time to put these back into their proper place.

After Upgrading to v5.2

After pulling down the upgrade and BEFORE you reboot, use the new Services form under the Admin button. You'll want to make sure that mysql, httpd, BWMGR and bypassd (if you have a bypass card) are set to start at boot. After setting them up in the gui, you can check your /etc/rc.conf file to make sure they're enabled. The services should look something like this:
mysql_enable="YES" mysql_dbdir="/usr/local/var/mysql" bwmgr_enable="YES" webmin_enable="YES" httpd_enable="YES"
Next, you'll need to remove these services from /etc/rc.local. You can either remove the lines or put a '#' at the beginning of the line. The default /etc/rc.local now has only 1 line, which is purely informational:
/usr/bwmgr/utils/bwmgr_alert Info "System Boot"
It's suggested that you monitor the first boot carefully and have a technician physically present in case there is a problem after booting.

If Your Current Version is < 5.4

In Version 5.4 PHP was upgraded from 5.3 to 7.0, and upgrading this on the fly presents some challenges. Most importantly, the Apache module has to be upgraded while the upgrade is in progress. This is done by the upgrader, but after the first download, php is updated and you'll need to refresh the browser and log back in; and then do then do the upgrade again. The v5.5 upgrader is self-contained so there should be fewer problems than in previous version if you're way behind in your version. Upgrades back to v5.2 should upgrade without problems.
Add Comment

Next: ET/AutoMgr